<?php
/*
 * Custom Header
 * 
 * Removes default Site Logo of Nichebarn and replaces it with Site Logo Feature
 *
 */
// Remove default site title
remove_action( 'nichebarn_site_title', 'nichebarn_display_site_title' );
// Display Footer Widgets on Nichebarn
add_action( 'nichebarn_site_title', 'nichebarn_display_site_logo' );
// Display Site Title
function nichebarn_display_site_logo() { 
	// Get Theme Options from Database
	$theme_options = nichebarn_theme_options();
?>
	<a href="<?php echo esc_url(home_url('/')); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home">		
	<?php // Display Logo Image or Site Title
		if ( isset($theme_options['header_logo']) and $theme_options['header_logo'] <> '' ) : ?>
			<img class="site-logo" src="<?php echo esc_url($theme_options['header_logo']); ?>" alt="<?php esc_attr(bloginfo('name')); ?>" />
	<?php else: ?>
			<h1 class="site-title"><?php bloginfo('name'); ?></h1>
	<?php endif; ?>
	</a>
<?php
}
// Implement Header Styling Setting
add_action('wp_head', 'nichebarn_header_padding');
function nichebarn_header_padding() { 
	$theme_options = nichebarn_theme_options();
	if ( isset($theme_options['header_padding']) and $theme_options['header_padding'] == true ) :
	echo '<style type="text/css">@media only screen and (min-width: 60em){#logo{max-width: ' . $theme_options['logo_title_width'] . '%;}#header-banner{max-width: ' . $theme_options['header_banner_width'] . '%;}#logo .site-title{font-size: ' . $theme_options['title_font_size'] . 'px; padding: ' . $theme_options['title_top_padding'] . 'px 0;}}</style>';
	endif;
}
?>