<?php
// Load Customizer Helper Functions
require( get_template_directory() . '/inc/customizer/functions/custom-controls.php' );
require( get_template_directory() . '/inc/customizer/functions/sanitize-functions.php' );
require( get_template_directory() . '/inc/customizer/functions/custom-font-lists.php' );
// Load Customizer Settings
require( get_template_directory() . '/inc/customizer/sections/customizer-colors.php' );
require( get_template_directory() . '/inc/customizer/sections/customizer-fonts.php' );
require( get_template_directory() . '/inc/customizer/sections/customizer-general.php' );
require( get_template_directory() . '/inc/customizer/sections/customizer-header.php' );
require( get_template_directory() . '/inc/customizer/sections/customizer-post.php' );
require( get_template_directory() . '/inc/customizer/sections/customizer-slider.php' );
// Add Theme Options section to Customizer
add_action( 'customize_register', 'nichebarn_customize_register_options' );
function nichebarn_customize_register_options( $wp_customize ) {
	// Add Theme Options Panel
	$wp_customize->add_panel( 'nichebarn_options_panel', array(
		'priority'       => 1,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __( 'Theme Settings', 'nichebarn' ),
		'description'    => '',
	) );
	// Add Color Options Panel
	$wp_customize->add_panel( 'nichebarn_colors_panel', array(
		'priority'       => 102,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __( 'Colors', 'nichebarn' ),
		'description'    => '',
	) );
	// Add postMessage support for site title and description.
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_section( 'title_tagline'     )->title     = 'Logo / Site Title';
	// Organize Customizer Area
	$wp_customize->get_control( 'background_color'  )->section   = 'background_image';
	$wp_customize->get_section( 'background_image'  )->title     = 'Site Background';
	$wp_customize->get_section('static_front_page')->title = __( 'Front Page Settings', 'nichebarn' );
	$wp_customize->get_section('static_front_page')->panel = 'nichebarn_options_panel';
	$wp_customize->get_section('static_front_page')->priority = 4;
}
// Embed JS file to make Theme Customizer preview reload changes asynchronously.
add_action( 'customize_preview_init', 'nichebarn_customize_preview_js' );

function nichebarn_customize_preview_js() {
	wp_enqueue_script( 'nichebarn-customizer-js', NICHEBARN_URI . '/js/customizer.js', array( 'customize-preview' ), '20150423', true );
}
// Embed CSS styles for Theme Customizer
add_action( 'customize_controls_print_styles', 'nichebarn_customize_preview_css' );

function nichebarn_customize_preview_css() {
	wp_enqueue_style( 'nichebarn-customizer-css', NICHEBARN_URI . '/css/customizer.css', array(), '20150423' );
}
?>