<?php
/**
 * Returns theme options
 *
 * Uses sane defaults in case the user has not configured any theme options yet.
 */

// Return theme options
function nichebarn_theme_options() {
    
	// Merge Theme Options Array from Database with Default Options Array
	$theme_options = wp_parse_args( 
		
		// Get saved theme options from WP database
		get_option( 'nichebarn_theme_options', array() ), 
		
		// Merge with Default Options if setting was not saved yet
		nichebarn_default_options() 
		
	);
	// Return theme options
	return $theme_options;
}
// Build default options array
function nichebarn_default_options() {
	$default_options = array(
		'header_logo' 						=> '',
		'header_padding'					=> false,
		'footer_text'						=> '',
		'fwidgets'							=> '3',
		'show_post_dates'					=> false,
		'link_to_top'						=> true,
		'credit_link' 						=> true,
		'text_font' 						=> 'Arial',
		'site_title_font' 					=> 'Georgia',
		'title_font' 						=> 'Arial',
		'navi_font' 						=> 'Arial',
		'widget_title_font' 				=> 'Arial',
		'available_fonts'					=> 'default',
		'layout' 							=> 'right-sidebar',
		'theme_style' 						=> 'boxed-one',
		'deactivate_google_fonts'			=> false,
		'header_tagline' 					=> false,
		'header_search' 					=> false,
		'header_icons' 						=> false,
		'post_thumbnails_index'				=> true,
		'post_thumbnails_single' 			=> false,
		'posts_length' 						=> 'excerpt',
		'excerpt_text'						=> 'Read more',
		'related_posts_single' 				=> false,
		'related_posts_thumb' 				=> true,
		'related_posts_excerpt' 			=> false,
		'related_post_count' 				=> '4',
		'fb_meta_graph' 					=> true,
		'fb_app_id' 						=> '621021928047856',
		'related_post_style' 				=> 'four-cols',
		'related_header_title'				=> 'Related Posts',
		'related_excerpt_length'			=> '55',
		'title_font_size'					=> '37',
		'title_font_space'					=> '3',
		'title_top_padding'					=> '15',
		'logo_title_width'					=> '37.5',
		'header_banner_width'				=> '61.5',
		'slider_activated_front_page' 		=> 1,
		'show_slider_content' 				=> 1,
		'slider_activated_blog' 			=> 0,
		'topnav_down' 						=> false,
		'sticky_navi' 						=> 0,
		'search_icon' 						=> true,
		'slider_animation' 					=> 'fade'
	);
	return $default_options;
}
?>