<?php
/**
 * Theme Customizer Functions
 *
 */
/*========================== CUSTOMIZER SANITIZE FUNCTIONS ==========================*/
// Sanitize checkboxes
function nichebarn_sanitize_checkbox( $value ) {
	if ( $value == 1) :
        return 1;
	else:
		return '';
	endif;
}
// Sanitize the layout width value.
function nichebarn_sanitize_layout_width( $value ) {
	if ( ! in_array( $value, array( 'boxed', 'wide' ), true ) ) :
        $value = 'boxed';
	endif;
    return $value;
}
// Sanitize the layout sidebar value.
function nichebarn_sanitize_layout( $value ) {
	if ( ! in_array( $value, array( 'left-sidebar', 'right-sidebar', 'fullwidth' ), true ) ) :
        $value = 'right-sidebar';
	endif;
    return $value;
}
// Sanitize the theme style value.
function nichebarn_sanitize_theme_style( $value ) {
	if ( ! in_array( $value, array( 'boxed-one', 'wide-head' ), true ) ) :
        $value = 'boxed-one';
	endif;
    return $value;
}
// Sanitize the related post style value.
function nichebarn_sanitize_related_post_style( $value ) {
	if ( ! in_array( $value, array( 'four-cols', 'three-cols', 'two-cols', 'simple-list' ), true ) ) :
        $value = 'four-cols';
	endif;
    return $value;
}
// Sanitize the theme width value.
function nichebarn_sanitize_theme_width( $value ) {
	if ( ! in_array( $value, array( '', 'wd2', 'wd3', 'wd4', 'wd5', 'wd6', 'wd7', 'wd8', 'wd9', 'wd10'), true ) ) :
        $value = 'wd1';
	endif;
    return $value;
}
// Sanitize the footer widgets value.
function nichebarn_sanitize_fwidgets( $value ) {
	if ( ! in_array( $value, array( '0', '1', '2', '3', '4'), true ) ) :
        $value = '3';
	endif;
    return $value;
}
// Sanitize the post length value.
function nichebarn_sanitize_post_length( $value ) {
	if ( ! in_array( $value, array( 'index', 'excerpt' ), true ) ) :
        $value = 'index';
	endif;
    return $value;
}
// Sanitize the slider animation value.
function nichebarn_sanitize_slider_animation( $value ) {
	if ( ! in_array( $value, array( 'horizontal', 'fade' ), true ) ) :
        $value = 'horizontal';
	endif;
    return $value;
}
// Sanitize footer content textarea
function nichebarn_sanitize_footer_text( $value ) {

	if ( current_user_can('unfiltered_html') ) :
		return $value;
	else :
		return stripslashes( wp_filter_post_kses( addslashes($value) ) );
	endif;
}
// Sanitize header code textarea
function nichebarn_sanitize_header_code( $value ) {
	if ( current_user_can('unfiltered_html') ) :
		return $value;
	else :
		return stripslashes( wp_filter_post_kses( addslashes($value) ) );
	endif;
}
// Sanitize footer code textarea
function nichebarn_sanitize_track_code( $value ) {

	if ( current_user_can('unfiltered_html') ) :
		return $value;
	else :
		return stripslashes( wp_filter_post_kses( addslashes($value) ) );
	endif;
}
// Sanitize read more content textarea
function nichebarn_sanitize_read_text( $value ) {
	if ( current_user_can('filtered_html') ) :
		return $value;
	else :
		return stripslashes( wp_filter_post_kses( ($value) ) );
	endif;
}
// Sanitize available fonts value.
function nichebarn_sanitize_available_fonts( $value ) {
	if ( ! in_array( $value, array( 'default', 'favorites', 'popular', 'all' ), true ) ) :
        $value = 'favorites';
	endif;
    return $value;
}
?>