<?php
/**
 * Register Theme Colors section, Settings and controls for Theme Customizer
 *
 */
// Add Theme Colors section to Customizer
add_action( 'customize_register', 'nichebarn_customize_register_color_settings' );
function nichebarn_customize_register_color_settings( $wp_customize ) {
	$wp_customize->add_section( 'nichebarn_general_colors', array(
        'title'    => __( 'General Colors', 'nichebarn' ),
        'priority' => 2,
		'panel' => 'nichebarn_colors_panel' 
		)
	);
	$wp_customize->add_section( 'nichebarn_header_colors', array(
        'title'    => __( 'Header Colors', 'nichebarn' ),
        'priority' => 4,
		'panel' => 'nichebarn_colors_panel' 
		)
	);
	$wp_customize->add_section( 'nichebarn_navi_tops', array(
        'title'    => __( 'Top Menu Colors', 'nichebarn' ),
        'priority' => 6,
		'panel' => 'nichebarn_colors_panel' 
		)
	);
	$wp_customize->add_section( 'nichebarn_navi_colors', array(
        'title'    => __( 'Main Menu Colors', 'nichebarn' ),
        'priority' => 8,
		'panel' => 'nichebarn_colors_panel' 
		)
	);
	$wp_customize->add_section( 'nichebarn_sidebar_colors', array(
        'title'    => __( 'Sidebar & Widgets', 'nichebarn' ),
        'priority' => 10,
		'panel' => 'nichebarn_colors_panel' 
		)
	);
	$wp_customize->add_section( 'nichebarn_footwgts_colors', array(
        'title'    => __( 'Footer Widgets Colors', 'nichebarn' ),
        'priority' => 12,
		'panel' => 'nichebarn_colors_panel' 
		)
	);
	$wp_customize->add_section( 'nichebarn_footer_colors', array(
        'title'    => __( 'Footer Colors', 'nichebarn' ),
        'priority' => 14,
		'panel' => 'nichebarn_colors_panel' 
		)
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[default_text_color]', array(
        'default'           => '#111111',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'default_text_color', array(
			'label'      => __( 'Default Text Color', 'nichebarn' ),
			'section'    => 'nichebarn_general_colors',
			'settings'   => 'nichebarn_theme_options[default_text_color]',
			'priority' => 2,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[title_color]', array(
        'default'           => '#3c3c3c',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'title_color', array(
			'label'      => __( 'Post Title Color', 'nichebarn' ),
			'section'    => 'nichebarn_general_colors',
			'settings'   => 'nichebarn_theme_options[title_color]',
			'priority' => 4,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[link_color]', array(
        'default'           => '#0066cc',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'link_color', array(
			'label'      => __( 'Link Color', 'nichebarn' ),
			'section'    => 'nichebarn_general_colors',
			'settings'   => 'nichebarn_theme_options[link_color]',
			'priority' => 6,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[wrapper_color]', array(
        'default'           => '#FFFFFF',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'wrapper_color', array(
			'label'      => __( 'Frontpage Background', 'nichebarn' ),
			'section'    => 'nichebarn_general_colors',
			'settings'   => 'nichebarn_theme_options[wrapper_color]',
			'priority' => 6,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[line_borders_color]', array(
        'default'           => '#eaeaea',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'line_borders_color', array(
			'label'      => __( 'Lines and Borders', 'nichebarn' ),
			'section'    => 'nichebarn_general_colors',
			'settings'   => 'nichebarn_theme_options[line_borders_color]',
			'priority' => 8,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[body_buttons_color]', array(
        'default'           => '#EEEEEE',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'body_buttons_color', array(
			'label'      => __( 'Buttons', 'nichebarn' ),
			'section'    => 'nichebarn_general_colors',
			'settings'   => 'nichebarn_theme_options[body_buttons_color]',
			'priority' => 10,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[site_title_color]', array(
        'default'           => '#3c3c3c',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'site_title_color', array(
			'label'      => __( 'Site Title Color', 'nichebarn' ),
			'section'    => 'nichebarn_header_colors',
			'settings'   => 'nichebarn_theme_options[site_title_color]',
			'priority' => 2,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[site_tagline_color]', array(
        'default'           => '#444444',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'site_tagline_color', array(
			'label'      => __( 'Tagline Color', 'nichebarn' ),
			'section'    => 'nichebarn_header_colors',
			'settings'   => 'nichebarn_theme_options[site_tagline_color]',
			'priority' => 4,
		) ) 
	);	
	$wp_customize->add_setting( 'nichebarn_theme_options[header_backgr]', array(
        'default'           => '',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'header_backgr', array(
			'label'      => __( 'Header Background', 'nichebarn' ),
			'section'    => 'nichebarn_header_colors',
			'settings'   => 'nichebarn_theme_options[header_backgr]',
			'priority' => 6,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[header_topbo]', array(
        'default'           => '#e5e5e5',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'header_topbo', array(
			'label'      => __( 'Header Top Border', 'nichebarn' ),
			'section'    => 'nichebarn_header_colors',
			'settings'   => 'nichebarn_theme_options[header_topbo]',
			'priority' => 8,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[topnav_text_color]', array(
        'default'           => '#f9f9f9',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'topnav_text_color', array(
			'label'      => __( 'Text Color', 'nichebarn' ),
			'section'    => 'nichebarn_navi_tops',
			'settings'   => 'nichebarn_theme_options[topnav_text_color]',
			'priority' => 2,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[topnav_color]', array(
        'default'           => '#373c43',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'topnav_color', array(
			'label'      => __( 'Menu Background', 'nichebarn' ),
			'section'    => 'nichebarn_navi_tops',
			'settings'   => 'nichebarn_theme_options[topnav_color]',
			'priority' => 4,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[topnav_current]', array(
        'default'           => '#4a525d',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'topnav_current', array(
			'label'      => __( 'Current Page Indicator', 'nichebarn' ),
			'section'    => 'nichebarn_navi_tops',
			'settings'   => 'nichebarn_theme_options[topnav_current]',
			'priority' => 6,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[topnav_hover]', array(
        'default'           => '#121212',
		'type'           	=> 'option',
        'transport'         => 'refresh',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'topnav_hover', array(
			'label'      => __( 'Mouse Hover', 'nichebarn' ),
			'section'    => 'nichebarn_navi_tops',
			'settings'   => 'nichebarn_theme_options[topnav_hover]',
			'priority' => 8,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[topnav_dropdown]', array(
        'default'           => '#303030',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'topnav_dropdown', array(
			'label'      => __( 'Dropdown Menu', 'nichebarn' ),
			'section'    => 'nichebarn_navi_tops',
			'settings'   => 'nichebarn_theme_options[topnav_dropdown]',
			'priority' => 10,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[topnav_drophov]', array(
        'default'           => '#121212',
		'type'           	=> 'option',
        'transport'         => 'refresh',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'topnav_drophov', array(
			'label'      => __( 'Dropdown Hover', 'nichebarn' ),
			'section'    => 'nichebarn_navi_tops',
			'settings'   => 'nichebarn_theme_options[topnav_drophov]',
			'priority' => 12,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[topnav_dropbor]', array(
        'default'           => '#777777',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'topnav_dropbor', array(
			'label'      => __( 'Dropdown Borders', 'nichebarn' ),
			'section'    => 'nichebarn_navi_tops',
			'settings'   => 'nichebarn_theme_options[topnav_dropbor]',
			'priority' => 14,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[navi_text_color]', array(
        'default'           => '#f9f9f9',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'navi_text_color', array(
			'label'      => __( 'Text Color', 'nichebarn' ),
			'section'    => 'nichebarn_navi_colors',
			'settings'   => 'nichebarn_theme_options[navi_text_color]',
			'priority' => 2,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[navi_color]', array(
        'default'           => '#3c3c3c',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'navi_color', array(
			'label'      => __( 'Menu Background', 'nichebarn' ),
			'section'    => 'nichebarn_navi_colors',
			'settings'   => 'nichebarn_theme_options[navi_color]',
			'priority' => 4,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[navi_wrapper]', array(
        'default'           => '#c9c9c9',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'navi_wrapper', array(
			'label'      => __( 'Top & Bottom Border', 'nichebarn' ),
			'section'    => 'nichebarn_navi_colors',
			'settings'   => 'nichebarn_theme_options[navi_wrapper]',
			'priority' => 6,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[navi_border]', array(
        'default'           => '#777777',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'navi_border', array(
			'label'      => __( 'Item Border', 'nichebarn' ),
			'section'    => 'nichebarn_navi_colors',
			'settings'   => 'nichebarn_theme_options[navi_border]',
			'priority' => 8,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[navi_hover]', array(
        'default'           => '#121212',
		'type'           	=> 'option',
        'transport'         => 'refresh',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'navi_hover', array(
			'label'      => __( 'Mouse Hover', 'nichebarn' ),
			'section'    => 'nichebarn_navi_colors',
			'settings'   => 'nichebarn_theme_options[navi_hover]',
			'priority' => 10,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[navi_dropdown]', array(
        'default'           => '#303030',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'navi_dropdown', array(
			'label'      => __( 'Dropdown Menu', 'nichebarn' ),
			'section'    => 'nichebarn_navi_colors',
			'settings'   => 'nichebarn_theme_options[navi_dropdown]',
			'priority' => 12,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[navi_drophov]', array(
        'default'           => '#121212',
		'type'           	=> 'option',
        'transport'         => 'refresh',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'navi_drophov', array(
			'label'      => __( 'Dropdown Hover', 'nichebarn' ),
			'section'    => 'nichebarn_navi_colors',
			'settings'   => 'nichebarn_theme_options[navi_drophov]',
			'priority' => 14,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[navi_dropdown_border]', array(
        'default'           => '#777777',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'navi_dropdown_border', array(
			'label'      => __( 'Dropdown Borders', 'nichebarn' ),
			'section'    => 'nichebarn_navi_colors',
			'settings'   => 'nichebarn_theme_options[navi_dropdown_border]',
			'priority' => 16,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[sidebar_background]', array(
        'default'           => '#f3f3f3',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'sidebar_background', array(
			'label'      => __( 'Sidebar Background', 'nichebarn' ),
			'section'    => 'nichebarn_sidebar_colors',
			'settings'   => 'nichebarn_theme_options[sidebar_background]',
			'priority' => 2,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[widget_title_color]', array(
        'default'           => '#FFFFFF',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'widget_title_color', array(
			'label'      => __( 'Widget Title Color', 'nichebarn' ),
			'section'    => 'nichebarn_sidebar_colors',
			'settings'   => 'nichebarn_theme_options[widget_title_color]',
			'priority' => 4,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[widget_header_color]', array(
        'default'           => '#3c3c3c',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'widget_header_color', array(
			'label'      => __( 'Widget Header Color', 'nichebarn' ),
			'section'    => 'nichebarn_sidebar_colors',
			'settings'   => 'nichebarn_theme_options[widget_header_color]',
			'priority' => 6,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[widget_link_color]', array(
        'default'           => '#3c3c3c',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'widget_link_color', array(
			'label'      => __( 'Widget Link Color', 'nichebarn' ),
			'section'    => 'nichebarn_sidebar_colors',
			'settings'   => 'nichebarn_theme_options[widget_link_color]',
			'priority' => 8,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[widget_text_color]', array(
        'default'           => '#3c3c3c',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'widget_text_color', array(
			'label'      => __( 'Widget Text Color', 'nichebarn' ),
			'section'    => 'nichebarn_sidebar_colors',
			'settings'   => 'nichebarn_theme_options[widget_text_color]',
			'priority' => 10,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[widget_backgr_color]', array(
        'default'           => '#FFFFFF',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'widget_backgr_color', array(
			'label'      => __( 'Widget Background', 'nichebarn' ),
			'section'    => 'nichebarn_sidebar_colors',
			'settings'   => 'nichebarn_theme_options[widget_backgr_color]',
			'priority' => 12,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[footer_widgets_color]', array(
        'default'           => '#333333',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'footer_widgets_color', array(
			'label'      => __( 'Widgets Background', 'nichebarn' ),
			'section'    => 'nichebarn_footwgts_colors',
			'settings'   => 'nichebarn_theme_options[footer_widgets_color]',
			'priority' => 2,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[footer_widgets_texts]', array(
        'default'           => '#CCCCCC',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'footer_widgets_texts', array(
			'label'      => __( 'Text Color', 'nichebarn' ),
			'section'    => 'nichebarn_footwgts_colors',
			'settings'   => 'nichebarn_theme_options[footer_widgets_texts]',
			'priority' => 4,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[footer_texts_borders]', array(
        'default'           => '#454444',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'footer_texts_borders', array(
			'label'      => __( 'Border Lines', 'nichebarn' ),
			'section'    => 'nichebarn_footwgts_colors',
			'settings'   => 'nichebarn_theme_options[footer_texts_borders]',
			'priority' => 6,
		) ) 
	);	
	$wp_customize->add_setting( 'nichebarn_theme_options[footer_texts_colol]', array(
        'default'           => '#c6c6c6',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'footer_texts_colol', array(
			'label'      => __( 'Text Color', 'nichebarn' ),
			'section'    => 'nichebarn_footer_colors',
			'settings'   => 'nichebarn_theme_options[footer_texts_colol]',
			'priority' => 2,
		) ) 
	);	
	$wp_customize->add_setting( 'nichebarn_theme_options[footer_color]', array(
        'default'           => '#121212',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'footer_color', array(
			'label'      => __( 'Footer Background', 'nichebarn' ),
			'section'    => 'nichebarn_footer_colors',
			'settings'   => 'nichebarn_theme_options[footer_color]',
			'priority' => 4,
		) ) 
	);
	$wp_customize->add_setting( 'nichebarn_theme_options[footer_top_brdr]', array(
        'default'           => '#454444',
		'type'           	=> 'option',
        'transport'         => 'postMessage',
        'sanitize_callback' => 'sanitize_hex_color'
		)
	);
	$wp_customize->add_control( new WP_Customize_Color_Control( 
		$wp_customize, 'footer_top_brdr', array(
			'label'      => __( 'Top Border', 'nichebarn' ),
			'section'    => 'nichebarn_footer_colors',
			'settings'   => 'nichebarn_theme_options[footer_top_brdr]',
			'priority' => 6,
		) ) 
	);
}
?>