<?php
add_action('admin_menu', 'nichebarn_add_pages');
function nichebarn_add_pages() {
add_submenu_page('pmthemes', __('Import/Export','nichebarn'), __('Import/Export','nichebarn'), 'manage_options', 'pmthemes-iex', 'nichebarn_iexp_page');
	wp_enqueue_style( 'nichebarn-options', NICHEBARN_URI . '/css/admin.css');
	wp_enqueue_style( 'nichebarn-style-grid', NICHEBARN_URI . '/css/grid.css', false, NICHEBARN_VERSION, 'all' );
}
function nichebarn_iexp_page() {
	?>
	<div id="nichebarn">
	<div class="wrap">
		<div class="metabox-holder">
			<div class="postbox-container">
				<div class="grid-container grid-parent">
					<div class="form-metabox grid-70">
						<div class="postbox nichebarn-metabox" id="nichebarn-export">
							<h3 class="hndle"><?php _e('Export Customizer Settings','nichebarn-export');?></h3>
								<div class="inside">	
							<p><?php _e( '<strong>Export</strong> your settings set in the <a href="' . admin_url('customize.php') . '">Customizer</a>.','nichebarn-export' ); ?></p>
							<form method="post">
								<p><input type="hidden" name="nichebarn_action" value="export_settings" /></p>
								<p>
									<?php wp_nonce_field( 'nichebarn_export_nonce', 'nichebarn_export_nonce' ); ?>
									<?php submit_button( __( 'Export Customizer Settings', 'nichebarn' ), 'button-primary', 'submit', false ); ?>
								</p>
							</form>	
						</div>
					</div>
					<div class="postbox nichebarn-metabox" id="nichebarn-import">
						<h3 class="hndle"><?php _e('Import Customizer Settings','nichebarn');?></h3>
						<div class="inside">
					<p><?php _e( '<strong>Import</strong> your settings by uploading your exported .json file.','nichebarn-import' ); ?></p>
					<form method="post" enctype="multipart/form-data">
						<p>
							<input type="file" name="import_file"/>
						</p>
						<p>
							<input type="hidden" name="nichebarn_action" value="import_settings" />
							<?php wp_nonce_field( 'nichebarn_import_nonce', 'nichebarn_import_nonce' ); ?>
							<?php submit_button( __( 'Import Customizer Settings', 'nichebarn' ), 'button-primary', 'submit', false ); ?>
							
						</p>
					</form>
					<?php do_action('nichebarn_add_import_items'); ?>
						</div>
					</div>
						<div class="postbox nichebarn-metabox" id="gen-delete">
							<h3 class="hndle"><?php _e('Delete Customizer Settings','nichebarn');?></h3>
							<div class="inside">
												
								<p><?php _e( '<strong>Warning:</strong> Clicking this button will delete your settings set in the <a href="' . admin_url('customize.php') . '">Customizer</a> area.','nichebarn' ); ?></p>
								<p><?php _e( 'You may want to export your settings before deleting them forever.','nichebarn');?></p>
								<form method="post">
									<p><input type="hidden" name="nichebarn_reset_customizer" value="nichebarn_reset_customizer_settings" /></p>
									<p>
										<?php wp_nonce_field( 'nichebarn_reset_customizer_nonce', 'nichebarn_reset_customizer_nonce' ); ?>
										<?php submit_button( __( 'Delete Default Customizer Settings', 'nichebarn' ), 'button', 'submit', false ); ?>
									</p>	
								</form>
								<?php do_action('nichebarn_delete_settings_form');?>
							</div>
						</div>
					</div>
					<div class="nichebarn-right-sidebar grid-30">
					<div class="postbox nichebarn-metabox addon-metabox" id="gen-2">
					<h3 class="hndle"><?php _e('Import/Export/Reset','nichebarn');?></h3>
					<div class="inside">
						<p><?php _e( 'Use this page to import/export customizer settings. You can even reset it if needed.','nichebarn');?></p>		
					</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	</div>
<?php }

/**
 * Reset customizer settings
 */
add_action( 'admin_init', 'nichebarn_reset_customizer_settings' );
function nichebarn_reset_customizer_settings() {

	if( empty( $_POST['nichebarn_reset_customizer'] ) || 'nichebarn_reset_customizer_settings' !== $_POST['nichebarn_reset_customizer'] )
		return;

	if( ! wp_verify_nonce( $_POST['nichebarn_reset_customizer_nonce'], 'nichebarn_reset_customizer_nonce' ) )
		return;

	if( ! current_user_can( 'manage_options' ) )
		return;

	delete_option('nichebarn_theme_options');
	
	wp_safe_redirect( admin_url( 'admin.php?page=pmthemes-iex&status=reset' ) ); exit;

}

/**
 * Process a settings export that generates a .json file of the shop settings
 */
add_action( 'admin_init', 'nichebarn_process_settings_export' );
function nichebarn_process_settings_export() {

	if( empty( $_POST['nichebarn_action'] ) || 'export_settings' != $_POST['nichebarn_action'] )
		return;

	if( ! wp_verify_nonce( $_POST['nichebarn_export_nonce'], 'nichebarn_export_nonce' ) )
		return;

	if( ! current_user_can( 'manage_options' ) )
		return;
	
	$settings = get_option( 'nichebarn_theme_options' );

	ignore_user_abort( true );

	nocache_headers();
	header( 'Content-Type: application/json; charset=utf-8' );
	header( 'Content-Disposition: attachment; filename=nichebarn-settings-export-' . date( 'm-d-Y' ) . '.json' );
	header( "Expires: 0" );

	echo json_encode( $settings );
	exit;
}

/**
 * Process a settings import from a json file
 */
add_action( 'admin_init', 'nichebarn_process_settings_import' );
function nichebarn_process_settings_import() {

	if( empty( $_POST['nichebarn_action'] ) || 'import_settings' != $_POST['nichebarn_action'] )
		return;

	if( ! wp_verify_nonce( $_POST['nichebarn_import_nonce'], 'nichebarn_import_nonce' ) )
		return;

	if( ! current_user_can( 'manage_options' ) )
		return;
	
	$filename = $_FILES['import_file']['name'];
	$extension = end( explode( '.', $_FILES['import_file']['name'] ) );
	$name = substr( $filename, 0, strrpos($filename,'-export') );
	$name = str_replace( '-', '_',$name);

	if( $extension != 'json' ) {
		wp_die( __( 'Please upload a valid .json file', 'nichebarn' ) );
	}

	$import_file = $_FILES['import_file']['tmp_name'];

	if( empty( $import_file ) ) {
		wp_die( __( 'Please upload a file to import', 'nichebarn' ) );
	}

	// Retrieve the settings from the file and convert the json object to an array.
	$settings = json_decode( file_get_contents( $import_file ), true );
	update_option( 'nichebarn_theme_options', $settings );
	wp_safe_redirect( admin_url( 'admin.php?page=pmthemes-iex&status=imported' ) ); exit;

}

/**
 * Add our admin notices
 */
add_action( 'admin_notices', 'nichebarn_admin_errors' );
function nichebarn_admin_errors() 
{
	
	if ( isset( $_GET['status'] ) && 'imported' == $_GET['status'] ) {
		 add_settings_error( 'nichebarn-notices', 'imported', __( 'Import successful.', 'nichebarn' ), 'updated' );
	}
	
	if ( isset( $_GET['status'] ) && 'reset' == $_GET['status'] ) {
		 add_settings_error( 'nichebarn-notices', 'reset', __( 'Settings removed.', 'nichebarn' ), 'updated' );
	}

	settings_errors( 'nichebarn-notices' );
}
