<?php
add_action( 'admin_menu', 'nichebarn_admin_page' );
add_action( 'admin_init', 'nichebarn_register_settings' );

define('NICHE_GOLD', 'pmthemes');


 
function nichebarn_admin_page(  ) { 
    $icon_url = get_template_directory_uri() . '/images/nb.png';
	$position = 59.7307;
	add_menu_page( __('Nichebarn'), __('Nichebarn','nichebarn'), 'edit_theme_options', 'pmthemes', 'nichebarn_options_page', $icon_url, $position );
	$nichebarn_settings_page = add_submenu_page('pmthemes', __('Nichebarn','nichebarn'), __('Theme Settings','nichebarn'), 'edit_theme_options', 'pmthemes', 'nichebarn_options_page');
	

	
	wp_enqueue_style( 'nichebarn-options', get_template_directory_uri() . '/css/admin.css');
	wp_enqueue_style( 'nichebarn-style-grid', get_template_directory_uri() . '/css/grid.css', false, NICHEBARN_VERSION, 'all' );
}

function nichebarn_register_settings(  ) { 
	register_setting( 'barn_gold', 'nichebarn_theme_options' );
	add_settings_section(
		'nichebarn_general_section',
		__( 'Theme Settings', 'nichebarn' ), 
		'nichebarn_settings_section_callback', 
		'barn_gold'
	);
	add_settings_field( 
		'nichebarn_theme_info',
		__( 'Theme Info', 'nichebarn' ),
		'nichebarn_theme_info_render',
		'barn_gold',
		'nichebarn_general_section'
	);
	add_settings_field( 
		'nichebarn_header_settings',
		__( 'Header Settings', 'nichebarn' ),
		'nichebarn_header_settings_render',
		'barn_gold',
		'nichebarn_general_section'
	);
	add_settings_field( 
		'nichebarn_footer_settings',
		__( 'Footer Settings', 'nichebarn' ),
		'nichebarn_footer_settings_render',
		'barn_gold',
		'nichebarn_general_section'
	);
	
}
function nichebarn_theme_info_render(  ) { 
	$options = get_option( 'nichebarn_theme_options');
	?>
		<div class="postbox nichebarn-metabox" id="nichebarn_theme_info">
			<h3 class="hndle"><?php _e('Nichebarn Theme Info','nichebarn');?></h3>
			<div class="inside">
				<p><strong style="display:inline-block;width:60px;"><?php _e('Version','nichebarn');?>:</strong> <?php echo NICHEBARN_VERSION; ?> - <?php _e('Nichebarn is a modern WordPress theme that supports WordPress <a href="' . admin_url('customize.php') . '">Theme Customizer</a>.','nichebarn');?></p>
			</div>
		</div>
	<?php }
function nichebarn_header_settings_render (  ) { 
	$options = get_option( 'nichebarn_theme_options' );
	?>
	<div class="postbox nichebarn-metabox" id="nichebarn_header_settings">
			<h3 class="hndle"><?php _e('Customizing Theme Settings','nichebarn');?></h3>
			<div class="inside">
				<?php _e('Please use the <a href="' . admin_url('customize.php') . '"><strong>Customizer Window</strong></a> to edit/change <strong>colors</strong>, fonts, logo, background images, and other elements. ','nichebarn');?><br /><br />
				<?php _e('The WordPress Theme Customizer allows you to preview changes to your site before publishing them. You can also navigate to different pages on your site to preview them.
','nichebarn');?>
			</div>
	</div>
	<?php }
function nichebarn_footer_settings_render (  ) { 
	$options = get_option( 'nichebarn_theme_options' );
	?>
	<div class="postbox nichebarn-metabox" id="nichebarn_footer_settings">				
			<h3 class="hndle"><?php _e('Nichebarn Theme Support','nichebarn');?></h3>
			<div class="inside">
				<?php _e('For complete theme guide and video tutorials, visit <a href="http://www.nichebarn.com/guide/" target="_blank">Nichebarn documentation page</a>. Here are some important guides:','nichebarn');?><br /><br />
				<?php _e('<a href="http://www.nichebarn.com/theme-settings/" target="_blank">How to Edit Theme Settings</a>','nichebarn');?><br /><br />
				<?php _e('<a href="http://www.nichebarn.com/colors/" target="_blank">How to Change Colors</a>','nichebarn');?>
			</div>
	</div>
	<?php }

function nichebarn_settings_section_callback(  ) { 
}

function nichebarn_options_page(  ) { 
	?>
<div id="nichebarn">
<div class="wrap">
	<div class="metabox-holder">
		<div class="postbox-container">
			<div class="grid-container grid-parent">
				<div class="form-metabox grid-70">
	<form action='options.php' method='post'>
	<?php settings_fields( 'barn_gold' );
	do_settings_sections( 'barn_gold' ); ?>
				</div>

			</form>
			</div>
		</div>
	</div>
</div>
</div>
<?php }