/*
 * Customizer.js to reload changes on Theme Customizer Preview asynchronously.
 *
 */
( function( $ ) {
	/* Default WordPress Customizer settings */
	wp.customize( 'blogname', function( value ) {
		value.bind( function( to ) {
			$( '#logo .site-title' ).text( to );
		} );
	} );
	wp.customize( 'blogdescription', function( value ) {
		value.bind( function( to ) {
			$( '#logo .site-description' ).text( to );
		} );
	} );
	/* Theme Colors */
	wp.customize( 'nichebarn_theme_options[topnav_color]', function( value ) {
		value.bind( function( newval ) {
			$('#topnav, #topnav-icon, #topheader')
				.css('background', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[topnav_current]', function( value ) {
		value.bind( function( newval ) {
			$('#topnav-menu li.current_page_item a, #topnav-menu li.current-menu-item a')
				.css('background', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[topnav_hover]', function( value ) {
		value.bind( function( newval ) {
			$('#topnav-menu a:hover, #topnav-menu li a:hover')
				.css('background', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[topnav_dropdown]', function( value ) {
		value.bind( function( newval ) {
			$('#topnav-menu .sub-menu, #topnav-menu .children')
				.css('background-color', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[topnav_drophov]', function( value ) {
		value.bind( function( newval ) {
			$('ul#topnav-menu ul a:hover, #topnav-menu ul ul a:hover, ul#topnav-menu ul a:focus, #topnav-menu ul ul a:focus')
				.css('background-color', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[topnav_dropbor]', function( value ) {
		value.bind( function( newval ) {
			$('ul#topnav-menu ul a, #topnav-menu ul ul a')
				.css('border-top', '1px solid ' + newval )
			$('#topnav-menu .sub-menu, #topnav-menu .children')
				.css('border-color', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[topnav_text_color]', function( value ) {
		value.bind( function( newval ) {
			$('#topnav-menu a:link, #topnav-menu a:visited, #header-social-icons .social-icons-menu li a:before')
				.css('color', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[navi_text_color]', function( value ) {
		value.bind( function( newval ) {
			$('.nav-menu li a, .site-header .search-form::before, .nav-menu .current_page_item > a, .nav-menu .current_page_ancestor > a, .nav-menu .current-menu-item > a, .nav-menu .current-menu-ancestor > a')
				.css('color', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[navi_color]', function( value ) {
		value.bind( function( newval ) {
			$('#navi-wrap, .stickynav')
				.css('background', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[navi_wrapper]', function( value ) {
		value.bind( function( newval ) {
			$('#navi-wrap, .stickynav')
				.css('border-top', '3px solid ' + newval )
				.css('border-bottom', '3px solid ' +  newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[navi_border]', function( value ) {
		value.bind( function( newval ) {
			$('.nav-menu li')
				.css('border-right', '1px solid ' +  newval );
			$('.nav-menu li:first-child')
				.css('border-left', '1px solid ' +  newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[navi_hover]', function( value ) {
		value.bind( function( newval ) {
			$('.nav-menu li:hover > a, .nav-menu li a:hover, .nav-menu li:focus > a, .nav-menu li a:focus')
				.css('background', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[navi_dropdown]', function( value ) {
		value.bind( function( newval ) {
			$('.nav-menu .sub-menu, .nav-menu .children')
				.css('background', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[navi_drophov]', function( value ) {
		value.bind( function( newval ) {
			$('ul.nav-menu ul a:hover, .nav-menu ul ul a:hover, ul.nav-menu ul a:focus, .nav-menu ul ul a:focus')
				.css('background-color', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[navi_dropdown_border]', function( value ) {
		value.bind( function( newval ) {
			$('.nav-menu .sub-menu, .nav-menu .children')
				.css('border', '2px solid ' +  newval );
			$('.nav-menu .sub-menu ul, .nav-menu .children ul')
				.css('border-left', '1px solid ' +  newval );
			$('ul.nav-menu ul a, .nav-menu ul ul a')
				.css('border-top', '1px solid ' +  newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[header_backgr]', function( value ) {
		value.bind( function( newval ) {
			$('#header-wrap')
				.css('background', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[header_topbo]', function( value ) {
		value.bind( function( newval ) {
			$('#header-wrap')
				.css('border-top', '10px solid ' +  newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[default_text_color]', function( value ) {
		value.bind( function( newval ) {
			$('body, input, textarea')
				.css('color', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[site_title_color]', function( value ) {
		value.bind( function( newval ) {
			$('#logo .site-title, #logo a:hover .site-title')
				.css('color', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[site_tagline_color]', function( value ) {
		value.bind( function( newval ) {
			$('#logo .site-description')
				.css('color', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[title_color]', function( value ) {
		value.bind( function( newval ) {
			$('.page-title, .post-title, .post-title a:link, .post-title a:visited, .archive-title span')
				.css('color', newval );
			$('.post-title a:hover, .post-title a:active')
				.css('color', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[link_color]', function( value ) {
		value.bind( function( newval ) {
			$('.entry a, .entry a:link, .entry a:visited, .postinfo a, .comment a:link, .comment a:visited, .post-pagination a:link, .post-pagination a:visited, #image-nav .nav-previous a, #image-nav .nav-next a')
				.css('color', newval );
			$('.post-pagination .current')
				.css('background', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[wrapper_color]', function( value ) {
		value.bind( function( newval ) {
			$('#frontpage-magazine-widgets .widget')
				.css('background', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[line_borders_color]', function( value ) {
		value.bind( function( newval ) {
			$('.widget-category-posts .small-post, .type-post, .type-page, .type-attachment, .archive-title')
				.css('border-bottom', '1px solid ' + newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[body_buttons_color]', function( value ) {
		value.bind( function( newval ) {
			$('.more-link, .more-link:link, .more-link:visited, .more-link:hover, .more-link:active')
				.css('background-color', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[widget_title_color]', function( value ) {
		value.bind( function( newval ) {
			$('#sidebar .widgettitle, #frontpage-magazine-widgets .widget .widgettitle, .widget-tabnavi, .widgettitle a:link, .widgettitle a:visited, .widget-tabnav li a:link, .widget-tabnav li a:visited')
				.css('color', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[widget_header_color]', function( value ) {
		value.bind( function( newval ) {
			$('#sidebar .widgettitle, #frontpage-magazine-widgets .widget .widgettitle, .widget-tabnavi, .widget-tabnavi')
				.css('background', newval )
				.css('border', '1px solid ' + newval )
		} );
	} );
	wp.customize( 'nichebarn_theme_options[widget_link_color]', function( value ) {
		value.bind( function( newval ) {
			$('#sidebar .widget a:link, #sidebar .widget a:visited')
				.css('color', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[widget_text_color]', function( value ) {
		value.bind( function( newval ) {
			$('.widget ul')
				.css('color', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[widget_backgr_color]', function( value ) {
		value.bind( function( newval ) {
			$('#sidebar .widget')
				.css('background', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[sidebar_background]', function( value ) {
		value.bind( function( newval ) {
			$('#sidebar')
				.css('background', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[footer_widgets_texts]', function( value ) {
		value.bind( function( newval ) {
			$('#footer-widgets .widget a:link, #footer-widgets .widget a:visited')
				.css('color', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[footer_texts_borders]', function( value ) {
		value.bind( function( newval ) {
			$('#footer-widgets .widget ul li')
			.css('border-bottom', '1px solid ' +  newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[footer_widgets_color]', function( value ) {
		value.bind( function( newval ) {
			$('#footer-widgets-bg')
				.css('background', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[footer_texts_colol]', function( value ) {
		value.bind( function( newval ) {
			$('#footernav-menu li')
				.css('border-right', '1px solid ' +  newval );
			$('#footer-text, #footer-text a:link, #footer-text a:visited, #footernav-menu a:link, #footernav-menu a:visited')
				.css('color', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[footer_color]', function( value ) {
		value.bind( function( newval ) {
			$('#footer')
				.css('background', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[footer_top_brdr]', function( value ) {
		value.bind( function( newval ) {
			$('#footer')
			.css('border-top', '1px solid ' +  newval );
		} );
	} );
	/* Theme Fonts */	
	wp.customize( 'nichebarn_theme_options[text_font]', function( value ) {
		value.bind( function( newval ) {
			// Embed Font
			var fontFamilyUrl = newval.split(" ").join("+");
			var googleFontPath = "http://fonts.googleapis.com/css?family="+fontFamilyUrl;
			var googleFontSource = "<link id='nichebarn-custom-text-font' href='"+googleFontPath+"' rel='stylesheet' type='text/css'>";					
			var checkLink = $("head").find("#nichebarn-custom-text-font").length;
			
			if (checkLink > 0) {
				$("head").find("#nichebarn-custom-text-font").remove();
			}
			$("head").append(googleFontSource);
			// Set CSS
			$('body, input, textarea')
				.css('font-family', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[site_title_font]', function( value ) {
		value.bind( function( newval ) {
			// Embed Font
			var fontFamilyUrl = newval.split(" ").join("+");
			var googleFontPath = "http://fonts.googleapis.com/css?family="+fontFamilyUrl;
			var googleFontSource = "<link id='nichebarn-custom-site-title-font' href='"+googleFontPath+"' rel='stylesheet' type='text/css'>";					
			var checkLink = $("head").find("#nichebarn-custom-site-title-font").length;
			
			if (checkLink > 0) {
				$("head").find("#nichebarn-custom-site-title-font").remove();
			}
			$("head").append(googleFontSource);
			// Set CSS
			$('#logo .site-title')
				.css('font-family', newval );	
		} );
	} );
	wp.customize( 'nichebarn_theme_options[title_font]', function( value ) {
		value.bind( function( newval ) {
			// Embed Font
			var fontFamilyUrl = newval.split(" ").join("+");
			var googleFontPath = "http://fonts.googleapis.com/css?family="+fontFamilyUrl;
			var googleFontSource = "<link id='nichebarn-custom-title-font' href='"+googleFontPath+"' rel='stylesheet' type='text/css'>";					
			var checkLink = $("head").find("#nichebarn-custom-title-font").length;
			if (checkLink > 0) {
				$("head").find("#nichebarn-custom-title-font").remove();
			}
			$("head").append(googleFontSource);
			// Set CSS
			$('.page-title, .post-title, #frontpage-slider .pmsslide .slide-entry .slide-title, #comments .comments-title, #respond #reply-title')
				.css('font-family', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[navi_font]', function( value ) {
		value.bind( function( newval ) {
			// Embed Font
			var fontFamilyUrl = newval.split(" ").join("+");
			var googleFontPath = "http://fonts.googleapis.com/css?family="+fontFamilyUrl;
			var googleFontSource = "<link id='nichebarn-custom-navi-font' href='"+googleFontPath+"' rel='stylesheet' type='text/css'>";					
			var checkLink = $("head").find("#nichebarn-custom-navi-font").length;
			if (checkLink > 0) {
				$("head").find("#nichebarn-custom-navi-font").remove();
			}
			$("head").append(googleFontSource);
			// Set CSS
			$('.nav-menu li a, #topnav-menu a')
				.css('font-family', newval );
		} );
	} );
	wp.customize( 'nichebarn_theme_options[widget_title_font]', function( value ) {
		value.bind( function( newval ) {
			// Embed Font
			var fontFamilyUrl = newval.split(" ").join("+");
			var googleFontPath = "http://fonts.googleapis.com/css?family="+fontFamilyUrl;
			var googleFontSource = "<link id='nichebarn-custom-widget-title-font' href='"+googleFontPath+"' rel='stylesheet' type='text/css'>";					
			var checkLink = $("head").find("#nichebarn-custom-widget-title-font").length;
			if (checkLink > 0) {
				$("head").find("#nichebarn-custom-widget-title-font").remove();
			}
			$("head").append(googleFontSource);
			// Set CSS
			$('.widgettitle, #frontpage-magazine-widgets .widget .widgettitle')
				.css('font-family', newval );
		} );
	} );
} )( jQuery );